> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kiriku.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoices

> Get history of invoices generated for subscriptions.



## OpenAPI

````yaml GET /v1/billing/invoices
openapi: 3.1.0
info:
  title: Kiriku API
  description: >-
    Intelligent Document Processing API for West Africa. Extract structured data
    from ID cards, passports, and more.
  version: 1.0.0
  contact:
    email: contact@kiriku.sn
servers:
  - url: https://api.kiriku.app
    description: Production API
security:
  - bearerAuth: []
paths:
  /v1/billing/invoices:
    get:
      summary: List Invoices
      description: Get history of invoices generated for subscriptions.
      responses:
        '200':
          description: List of invoices
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Invoice'
components:
  schemas:
    Invoice:
      type: object
      properties:
        reference:
          type: string
        amount:
          type: number
        status:
          type: string
          enum:
            - pending
            - paid
            - cancelled
        paymentUrl:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT/API Key

````